#
# Conditional build:
%bcond_without	tests		# build without tests

Summary:	Tool for checking common errors in RPM packages
Summary(pl.UTF-8):	Narzędzie do sprawdzania pakietów RPM pod kątem częstych błędów
Name:		rpmlint
Version:	1.9
Release:	1
License:	GPL v2
Group:		Development/Building
Source0:	https://github.com/rpm-software-management/rpmlint/archive/%{name}-%{version}.tar.gz
# Source0-md5:	810d7fd565d389fec305ff80af53ba40
Source1:	%{name}.config
Source3:	%{name}-etc.config
Patch0:		%{name}-groups.patch
Patch1:		pythonpath.patch
Patch2:		%{name}-licenses.patch
Patch3:		postshell.patch
Patch4:		rpm5.patch
Patch5:		bash-completion.patch
Patch6:		revert-9f71923e.patch
URL:		https://github.com/rpm-software-management/rpmlint
BuildRequires:	python >= 1:2.6
BuildRequires:	python-modules
%{?with_tests:BuildRequires:	python-rpm >= 5.4.10-12}
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.673
# tests require rpmlint in installed packages database
%{?with_tests:BuildRequires:	rpmlint}
Requires:	/bin/bash
Requires:	/lib/cpp
Requires:	binutils
Requires:	bzip2
Requires:	cpio
Requires:	desktop-file-utils
Requires:	file
Requires:	findutils
Requires:	grep
Requires:	gzip
Requires:	python >= 1.5.2
Requires:	python-magic
Requires:	python-pyenchant
Requires:	python-rpm >= 5.4.10-12
Requires:	xz
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Rpmlint is a tool to check common errors on rpm packages. Binary and
source packages can be checked.

%description -l pl.UTF-8
rpmlint to narzędzie do sprawdzania pakietów RPM pod kątem często
występujących błędów. Można sprawdzać pakiety źródłowe i binarne.

%package -n bash-completion-%{name}
Summary:	bash-completion for rpmlint
Summary(pl.UTF-8):	Bashowe uzupełnianie parametrów dla polecenia rpmlint
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 2.0

%description -n bash-completion-%{name}
bash-completion for rpmlint.

%description -n bash-completion-%{name} -l pl.UTF-8
Bashowe uzupełnianie parametrów dla polecenia rpmlint.

%prep
%setup -q -n %{name}-rpmlint-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

cp -p config config.example
cp -p %{SOURCE3} config

mv %{name} %{name}.py
%{__sed} -i -e 's,python ./rpmlint,./rpmlint.py,' test.sh

cat <<'EOF' > %{name}
#!/bin/sh
exec python -tt -u -O %{py_sitescriptdir}/%{name}/rpmlint.pyc "$@"
EOF
touch __init__.py

%build
# Create GROUPS for -groups.patch
rpmnv=$(rpm -q rpm --qf '%{N}-%{V}')
gzip -dc "%{_docdir}/$rpmnv/groups.gz" | awk '/^[A-Z].*/ { print }' > GROUPS
test -s GROUPS

%{__make} \
	bash_compdir=%{bash_compdir} \
	COMPILE_PYC=1

%if %{with tests}
%{__make} check
%endif

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	bash_compdir=%{bash_compdir} \
	ETCDIR=%{_sysconfdir} \
	MANDIR=%{_mandir} \
	LIBDIR=%{py_sitescriptdir}/%{name} \
	BINDIR=%{_bindir} \
	DESTDIR=$RPM_BUILD_ROOT

install -p %{name} $RPM_BUILD_ROOT%{_bindir}/%{name}
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -p GROUPS $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/%{name}/config

%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README* config.example
%dir %{_sysconfdir}/rpmlint
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rpmlint/config
%attr(755,root,root) %{_bindir}/rpmdiff
%attr(755,root,root) %{_bindir}/rpmlint
%{_mandir}/man1/rpmdiff.1*
%{_mandir}/man1/rpmlint.1*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/GROUPS
%{_datadir}/%{name}/config
%dir %{py_sitescriptdir}/%{name}
%{py_sitescriptdir}/%{name}/*.py[co]

%files -n bash-completion-%{name}
%defattr(644,root,root,755)
%{bash_compdir}/rpmlint
%{bash_compdir}/rpmdiff
%changelog
* Sat Aug 06 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rpmlint.git;a=log;h=auto/th/rpmlint-1.9-1

* Sat Aug 06 2016 Elan Ruusamäe <glen@delfi.ee> 7ea4c2c
- up to 1.9; new homepage

* Sun Jul 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 3f2e0c6
- remaining pl
- tests require rpmlint installed

* Wed Jul 15 2015 Elan Ruusamäe <glen@delfi.ee> d51dcad
- fix install without bash-completions installed

* Wed Jul 15 2015 Elan Ruusamäe <glen@delfi.ee> 47a5242
- python-rpm required for tests

* Wed Jul 15 2015 Elan Ruusamäe <glen@delfi.ee> 6d06987
- up to 1.7

* Fri Oct 03 2014 Elan Ruusamäe <glen@delfi.ee> f5b2d51
- rpm5 fix

* Thu Sep 18 2014 Elan Ruusamäe <glen@delfi.ee> 21e8a79
- requires python 2.6+

* Thu Sep 18 2014 Elan Ruusamäe <glen@delfi.ee> 07c5699
- workaround rpm5 rpm -qf /nonsense

* Thu Sep 18 2014 Elan Ruusamäe <glen@delfi.ee> 545215d
- up to 1.6, tests are failing

* Sat Feb 01 2014 Elan Ruusamäe <glen@delfi.ee> 3fbd9f8
- up to 1.5; project sources in sourceforge now

* Sun Apr 21 2013 Jan Rękorajski <baggins@pld-linux.org> 6ba82f6
- use NODSAHEADER in place of NOSIGNATURES for rpm5
- rel 5

* Wed Sep 26 2012 Jan Rękorajski <baggins@pld-linux.org> 1f50ca4
- don't force bash-completion 2, rpmlint wants 1
- allow proper build without bash-completion installed
- proper rel 4

* Tue Sep 25 2012 Jan Rękorajski <baggins@pld-linux.org> 4fafb4f
- fix building without bash-completion-2 installed
- don't package rpmdiff completion symlink
- rel 3

* Tue Sep 25 2012 Jan Rękorajski <baggins@pld-linux.org> f1e83b3
- versioned rpm deps

* Tue Sep 25 2012 Jan Rękorajski <baggins@pld-linux.org> 88c9454
- rpm5 doesn't have _RPMVSF_NOSIGNATURES
- compat patch not needed
- updated bash-completion locations
- rel 2

* Sun Jan 22 2012 zbyniu <zbyniu@pld-linux.org> 6f925d6
- up to 1.4

* Sun Sep 18 2011 Elan Ruusamäe <glen@pld-linux.org> 5e6dda2
- up to 1.3

* Sat Feb 19 2011 Elan Ruusamäe <glen@pld-linux.org> 4543a7f
- fix for linting ghost pyc files

* Sat Feb 19 2011 Elan Ruusamäe <glen@pld-linux.org> 3d4c177
- add GPL as valid licenses

* Thu Feb 17 2011 Elan Ruusamäe <glen@pld-linux.org> 79d5a1a
- no version requirement in %changelog for pld

